@echo off
REM
REM TITLE   :   UPGRADE.BAT
REM AUTHOR  :   Gary R. Holeman, Advocate Computer Services, Inc.
REM CIS ID  :   72240,3322
REM DATE    :   July 18, 1993
REM PURPOSE :   This file moves OzCIS v1 files over to OzCIS v2 subdirectories
REM             Please change the lines that say SET OLD= and SET NEW= to
REM             correspond with the directory paths that are used to get to
REM             your forum subdirectories in v1 (old) and v2 (new).  This can
REM             still work if you're not using subdirectories.  You'll need to
REM             take one of the "\%1"'s out of the lines that do the copying.
REM             It is also possible for one of the lines that start with
REM             "if exist" to become too long for DOS depending on your
REM             directory paths.
REM
REM             If the first line of output says "Out of environment space", 
REM             you'll need to provide more or delete some of the environment
REM             variables you have currently defined until after the procedure
REM             has completed.
REM
REM             You will also need a blank file called BLANK.FIL in the
REM             directory from which you run this for it to work.
REM
REM             If any forums have more sections that 0 through 15, you'll
REM             need to copy and modify some lines.  Enjoy!
REM
if "%1" == "" goto usage
if not exist blank.fil goto noblank
REM Replace your directories for those listed here
set old=OZCIS
set new=OZCIS2\FORUMS
echo Creating the \%new%\%1 subdirectory...
md \%new%\%1
echo Copying the sections file...
copy \%old%\%1\%1.sec \%new%\%1\%1.sec
echo Copying listing files...
copy blank.fil \%new%\%1\%1.lst
if exist \%old%\%1\%1.s0 copy \%new%\%1\%1.lst+\%old%\%1\%1.s0 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s1 copy \%new%\%1\%1.lst+\%old%\%1\%1.s1 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s2 copy \%new%\%1\%1.lst+\%old%\%1\%1.s2 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s3 copy \%new%\%1\%1.lst+\%old%\%1\%1.s3 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s4 copy \%new%\%1\%1.lst+\%old%\%1\%1.s4 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s5 copy \%new%\%1\%1.lst+\%old%\%1\%1.s5 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s6 copy \%new%\%1\%1.lst+\%old%\%1\%1.s6 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s7 copy \%new%\%1\%1.lst+\%old%\%1\%1.s7 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s8 copy \%new%\%1\%1.lst+\%old%\%1\%1.s8 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s9 copy \%new%\%1\%1.lst+\%old%\%1\%1.s9 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s10 copy \%new%\%1\%1.lst+\%old%\%1\%1.s10 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s11 copy \%new%\%1\%1.lst+\%old%\%1\%1.s11 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s12 copy \%new%\%1\%1.lst+\%old%\%1\%1.s12 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s13 copy \%new%\%1\%1.lst+\%old%\%1\%1.s13 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s14 copy \%new%\%1\%1.lst+\%old%\%1\%1.s14 \%new%\%1\%1.lst
if exist \%old%\%1\%1.s15 copy \%new%\%1\%1.lst+\%old%\%1\%1.s15 \%new%\%1\%1.lst
echo Copying catalog files...
copy blank.fil \%new%\%1\%1.cat
if exist \%old%\%1\%1.l0 copy \%new%\%1\%1.cat+\%old%\%1\%1.l0 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l1 copy \%new%\%1\%1.cat+\%old%\%1\%1.l1 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l2 copy \%new%\%1\%1.cat+\%old%\%1\%1.l2 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l3 copy \%new%\%1\%1.cat+\%old%\%1\%1.l3 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l4 copy \%new%\%1\%1.cat+\%old%\%1\%1.l4 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l5 copy \%new%\%1\%1.cat+\%old%\%1\%1.l5 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l6 copy \%new%\%1\%1.cat+\%old%\%1\%1.l6 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l7 copy \%new%\%1\%1.cat+\%old%\%1\%1.l7 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l8 copy \%new%\%1\%1.cat+\%old%\%1\%1.l8 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l9 copy \%new%\%1\%1.cat+\%old%\%1\%1.l9 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l10 copy \%new%\%1\%1.cat+\%old%\%1\%1.l10 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l11 copy \%new%\%1\%1.cat+\%old%\%1\%1.l11 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l12 copy \%new%\%1\%1.cat+\%old%\%1\%1.l12 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l13 copy \%new%\%1\%1.cat+\%old%\%1\%1.l13 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l14 copy \%new%\%1\%1.cat+\%old%\%1\%1.l14 \%new%\%1\%1.cat
if exist \%old%\%1\%1.l15 copy \%new%\%1\%1.cat+\%old%\%1\%1.l15 \%new%\%1\%1.cat
echo Copying message file...
copy \%old%\%1\%1.mes \%new%\%1\%1.msg
goto end
:usage
echo You must specify a forum name.
echo For example,
echo UPGRADE IBMCOM
goto exit
:noblank
echo There must be an empty file called BLANK.FIL available in this directory.
goto exit
:end
echo Upgrade process complete!
:exit


